<?php

namespace Hp\Patterns\DependencyInjection;

class ATM
{
    public function __construct(private CreditCard $card)
    {
    }

    public function getCardInfo(): void
    {
        echo 'Owner: '.$this->card->getOwner()."\n";
        echo 'Number card: '.$this->card->getNumber()."\n";
        echo 'In the wallet: '.$this->card->getCountOfMoney()." ₽ \n";
    }
}