<?php

namespace Hp\Patterns\Decorator;

class SavingsAccount extends AccountDecorator
{
    private float $money;

    private float $percent = 10;

    public function getBalance(): float
    {
        return $this->money;
    }

    public function percentageIncrease(): void
    {
        $this->money += $this->money * ($this->percent / 100);
    }
}