<?php

namespace Hp\Patterns\DependencyInjection;

class CreditCard
{
    public function __construct(
        private string $number,
        private float $countOfMoney,
        private string $owner
    ) {
    }

    public function getNumber(): string
    {
        return $this->number;
    }

    public function getCountOfMoney(): float
    {
        return $this->countOfMoney;
    }

    public function getOwner(): string
    {
        return $this->owner;
    }
}
